import { OpenApiValidatorOpts } from './framework/types';
import { InternalServerError, UnsupportedMediaType, RequestEntityToLarge, BadRequest, MethodNotAllowed, NotFound, Unauthorized, Forbidden } from './framework/types';
import * as res from './resolvers';
export default openapiValidator;
export declare const resolvers: typeof res;
export declare const middleware: typeof openapiValidator;
export declare const error: {
    InternalServerError: typeof InternalServerError;
    UnsupportedMediaType: typeof UnsupportedMediaType;
    RequestEntityToLarge: typeof RequestEntityToLarge;
    BadRequest: typeof BadRequest;
    MethodNotAllowed: typeof MethodNotAllowed;
    NotFound: typeof NotFound;
    Unauthorized: typeof Unauthorized;
    Forbidden: typeof Forbidden;
};
declare function openapiValidator(options: OpenApiValidatorOpts): (req: any, res: any, next: any) => void;
